Warning!

Notice: the grml team is migrating from Mercurial to Git.
Please visit git.grml.org instead!

Use /var/log/grml-buildd.std{out,err} for buildd logging
authorMichael Prokop <mika@grml.org>
Tue Oct 30 09:48:53 2007 +0100 (13 months ago)
changeset 240eca42ab33125
manifesteca42ab33125
parent 23974cf56ab2855
child 241b752555d4b92
Use /var/log/grml-buildd.std{out,err} for buildd logging
buildd/functions.sh
docs/grml-live.txt
--- a/buildd/functions.sh Tue Oct 30 09:23:13 2007 +0100
+++ b/buildd/functions.sh Tue Oct 30 09:48:53 2007 +0100
@@ -4,7 +4,7 @@
# Authors: grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
# Bug-Reports: see http://grml.org/bugs/
# License: This file is licensed under the GPL v2 or any later version.
-# Latest change: Sun Oct 28 14:49:02 CET 2007 [mika]
+# Latest change: Die Okt 30 09:47:34 CET 2007 [mika]
################################################################################
die() {
@@ -46,7 +46,6 @@ fi
fi
[ -n "$FAI_LOGFILES" ] || FAI_LOGFILES=/var/log/fai/dirinstall/grml
-[ -d "$FAI_LOGFILES" ] || mkdir -p $FAI_LOGFILES
echo "my_hdr From: grml-live autobuild daemon <$FROM>" > $MUTT_HEADERS
@@ -61,8 +60,8 @@ grml_live_run() {
grml-live -F $GRML_LIVE_ARCH -s $SUITE -c $CLASSES -o $OUTPUT_DIR \
-g $NAME -v $DATE -r grml-live-autobuild -i $ISO_NAME \
- 1>$FAI_LOGFILES/grml-buildd.stdout \
- 2>$FAI_LOGFILES/grml-buildd.stderr ; RC=$?
+ 1>/var/log/grml-buildd.stdout \
+ 2>/var/log/grml-buildd.stderr ; RC=$?
if [ "$RC" = "0" ] ; then
RC_INFO=success
@@ -95,11 +94,11 @@ Return code of grml-live run was: $RC
The following errors have been noticed (several might be warnings only):
-$(grep error $FAI_LOGFILES/* | grep -ve liberror -ve libgpg-error || echo "* nothing")
+$(grep -i error $FAI_LOGFILES/* /var/log/grml-buildd.std* | grep -ve liberror -ve libgpg-error || echo "* nothing")
The following warnings have been noticed:
-$(grep warn $FAI_LOGFILES/* || echo "* nothing")
+$(grep -i warn $FAI_LOGFILES/* /var/log/grml-buildd.std* || echo "* nothing")
Find details in the attached logs." | \
mutt -s "$SCRIPTNAME [${DATE}] - $RC_INFO" \
--- a/docs/grml-live.txt Tue Oct 30 09:23:13 2007 +0100
+++ b/docs/grml-live.txt Tue Oct 30 09:48:53 2007 +0100
@@ -313,6 +313,9 @@ If you are using the update option of gr
If you are using the update option of grml-live (option -u) the logs are
available at /var/log/fai/current.
+If you are using the grml-live buildd you will find the logs of the grml-live
+run at /var/log/grml-buildd.stdout and /var/log/grml-buildd.stderr.
+
Requirements for the build system
---------------------------------